Bug 9764 - Replace YUI buttons on the authority search popup with Bootstrap
Summary: Replace YUI buttons on the authority search popup with Bootstrap
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL: /cgi-bin/koha/authorities/auth_finder.pl
Keywords:
Depends on:
Blocks: 9779
  Show dependency treegraph
 
Reported: 2013-03-07 19:20 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9764 - Replace YUI buttons on authority search popup with Bootstrap (3.61 KB, patch)
2013-03-07 19:31 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9764 - Replace YUI buttons on authority search popup with Bootstrap (3.74 KB, patch)
2013-03-07 23:17 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 9764 - Replace YUI buttons on authority search popup with Bootstrap (3.92 KB, patch)
2013-03-21 09:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-03-07 19:20:30 UTC
The authority search popup has several buttons which are styled with YUI. A couple of these ("Submit," "Cancel") should not be styled at all to conform with general practice. The others ("Clear field," "Create new") can be moved to a toolbar div and styled with Bootstrap.
Comment 1 Owen Leonard 2013-03-07 19:31:11 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-03-07 23:17:38 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-21 09:13:01 UTC
Created attachment 16583 [details] [review]
[PASSED QA] Bug 9764 - Replace YUI buttons on authority search popup with Bootstrap

The authority search popup styles several buttons with YUI. Bootstrap
should be used instead.

This patch removes YUI styling from two buttons ("Submit" and "Cancel")
in favor of default styling for consistency's sake. The other buttons
("Clear field" and "Create new") have been moved to a standard toolbar
div and styled with Bootstrap.

Some inline JavaScript has been moved to the <script> tag in order to
eliminate undesirable javascript: pseudo-protocol links.

To test, open a bibliographic record for editing and click the authority
edit link next to a field with authority-linked data in it.
- Confirm that buttons in the popup window look correct.
- Confirm that the "Clear field" button clears the field in the MARC
  editor.
- Confirm that the "Create new authority" button launches a blank
  authority editor.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Work as described. No errors.
All buttons works: look correct, clear works, create works.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests and QA script pass.
Tests done according to test plan.

http://bugs.koha-community.org/show_bug.cgi?id=9765
Comment 4 Jared Camins-Esakov 2013-03-21 13:55:30 UTC
This patch has been pushed to master.